Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.memberdatacommons.exception
Class MemberDataBusinessConnectorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.businessconnector.mycarenet.memberdatacommons.exception.MemberDataBusinessConnectorException

All Implemented Interfaces:
  Serializable

    public class MemberDataBusinessConnectorException

extends ConnectorException

Connector Exception for Member Data Sync Connector.

See Also:
  Serialized Form

Constructor Summary
`MemberDataBusinessConnectorException(MemberDataBusinessConnectorExceptionValues errorCodeValue, Object... params)` Creates a `MemberDataBusinessConnectorException` for given exceptionValue and parameters.

Method Summary

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemberDataBusinessConnectorException

    public MemberDataBusinessConnectorException(MemberDataBusinessConnectorExceptionValues errorCodeValue,
                                                Object... params)

  Creates a `MemberDataBusinessConnectorException` for given exceptionValue and parameters.

  Parameters:
    `errorCodeValue` - error code of the exception
    `params` - one or more parameters to be used in the error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.